Bug 215731 - CVE-2006-5925 elinks smb protocol arbitrary file access
CVE-2006-5925 elinks smb protocol arbitrary file access
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: elinks (Show other bugs)
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Karel Zak
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-11-15 09:27 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0742
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-15 15:21:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-11-15 09:27:08 EST
A flaw has been found in the way elinks parses smb:// protocol URLs:

This flaw could allow a remote web page to read and write arbitrary files with
the permissions of the user running elinks.
Comment 4 Red Hat Bugzilla 2006-11-15 15:21:08 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

Comment 5 Jeff Sheltren 2006-11-15 17:44:41 EST
Hi, I'm looking into fixing this for Fedora Legacy (FC3 & FC4), and I'm curious
about the patch used for EL4.  Why was the smb protocol disabled completely in
configure.in instead of patching smb.c?  Was fixing smb.c just too messy?  Is it
assumed that nobody uses elinks for smb protocol?

Thanks for any input.
Comment 6 Karel Zak 2006-11-15 19:11:34 EST
Maybe more sensitive way is disable only smb commands (smbclient -c), but I
think number of users who use smb by elinks is really very small and we also
doesn't support this feature in RHEL2.1, RHEL3 and RHEL5 (FC6). So ... It seems
it's better disable this dangerous feature at all.

Comment 7 Jeff Sheltren 2006-11-15 19:18:02 EST
OK, that's what I figured.  Thanks for the clarification.
Comment 8 Kalle Olavi Niemitalo 2006-11-16 14:59:23 EST
I have added this to the ELinks Bugzilla:

Note You need to log in before you can comment on or make changes to this bug.